For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
OverviewCodaControlAPI ReferenceChangelog
OverviewCodaControlAPI ReferenceChangelog
  • Coda API
  • Control API
      • GETFetch Model
      • GETList Models
      • POSTRun Model
  • Stanza API
    • stanza
    • cli
    • context
    • device
    • exceptions
    • models
    • pyvisa
    • registry
    • timing
    • utils
LogoLogo
Control APIModels

Fetch Model

GET
https://api.conductorquantum.com/v0/models/:model
GET
/v0/models/:model
1from conductorquantum import ConductorQuantum
2
3client = ConductorQuantum(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.models.info(
8 model="model",
9)
1{
2 "id": "coulomb-blockade-peak-detector-v1",
3 "name": "Coulomb Blockade Peak Detector",
4 "description": "Detects Coulomb blockade peaks in 1D Coulomb blockade data.",
5 "released": "2024-01-01T00:00:00",
6 "input_shape_requirements": "string"
7}
Fetch a model's details.
Was this page helpful?
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

modelstringRequired
The model to get information for.

Response

Successful Response
idstring
The string ID of the model
namestring
The name of the model
descriptionstring
The description of the model
releasedstringformat: "date-time"
The UTC time the model was released
input_shape_requirementsstring
The input shape requirements for the model
nn_input_shape_requirementslist of strings or null
The NN input shape requirements for the model
nn_output_shape_requirementslist of strings or null
The NN output shape requirements for the model

Errors

422
Unprocessable Entity Error